Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8391 - setkeycodes does not have any effect.
Summary: setkeycodes does not have any effect.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: console-tools
Version: 6.1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-12 03:53 UTC by sam
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-07-22 19:09:36 UTC


Attachments (Terms of Use)

Description sam 2000-01-12 03:53:26 UTC
Due to an error parsing it's command line, the setkeycodes command will
ignore the last scancode / keycode pair. If the user is attempting to
update just one scancode, then the command has no effect and will exit
normally with a return value of 0. The command getkeycodes can be used to
verify that no update has taken place.

The following patch will resolve this issue:

*** console-tools-1999.03.02/kbdtools/setkeycodes.c.orig        Wed Jan 12
14:01:54 2000
--- console-tools-1999.03.02/kbdtools/setkeycodes.c     Wed Jan 12 14:02:06
2000
***************
*** 62,68 ****
      if (-1 == (fd = get_console_fd(NULL)))
        exit (1);

!   while ( (argc - optind)  > 2)
      {
        a.scancode = sc = strtol(argv[optind++], &ep, 16);
        a.keycode = atoi(argv[optind++]);
--- 62,68 ----
      if (-1 == (fd = get_console_fd(NULL)))
        exit (1);

!   while ( (argc - optind)  >= 2)
      {
        a.scancode = sc = strtol(argv[optind++], &ep, 16);
        a.keycode = atoi(argv[optind++]);

Comment 1 Bernhard Rosenkraenzer 2000-08-03 17:03:15 UTC
This has been fixed for some months. Sorry for forgetting to close the bug.


Note You need to log in before you can comment on or make changes to this bug.